Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.asset
Class Asset

    java.lang.Object
      juzu.asset.Asset

Direct Known Subclasses:
  Asset.Id, Asset.Value

    public abstract class Asset

extends Object

Representation of an asset at runtime, an asset can be a reference or a value.

Asset references are a mere reference to an asset that will be managed by the server, for instance the `jquery` asset reference an asset for which the developer does not have to provide details.

Asset values provide an explicit asset with a location and an URI that will be used to resolve fully the asset.

Author:
  Julien Viet

Nested Class Summary
`static class` | `Asset.Id` An identified asset.
`static class` | `Asset.Value` A valued asset.

Constructor Summary
`Asset()`

Method Summary
`static Asset.Value` | `classpath(String uri)` Wraps an URI as a classpath located asset.
`static Asset.Value` | `of(AssetLocation location, String uri)` Returns an asset.
`static Asset.Id` | `ref(String id)`
`static Asset.Value` | `server(String uri)` Wraps an URI as a server located asset.
`static Asset.Value` | `url(String uri)` Wraps an URI as an absolute uri.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Asset

    public Asset()

Method Detail

### ref

    public static Asset.Id ref(String id)

### server

    public static Asset.Value server(String uri)

  Wraps an URI as a server located asset.

  Parameters:
    `uri` - the asset uri
  Returns:
    the asset

### classpath

    public static Asset.Value classpath(String uri)

  Wraps an URI as a classpath located asset.

  Parameters:
    `uri` - the asset uri
  Returns:
    the asset

### url

    public static Asset.Value url(String uri)

  Wraps an URI as an absolute uri.

  Parameters:
    `uri` - the asset uri
  Returns:
    the asset

### of

    public static Asset.Value of(AssetLocation location,
                                 String uri)

  Returns an asset.

  Parameters:
    `location` - the asset location
    `uri` - the asset uri
  Returns:
    the asset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.